# laminas-dom

> This package is considered feature-complete, and is now in **security-only** maintenance mode, following a [decision by the Technical Steering Committee](https://github.com/laminas/technical-steering-committee/blob/2b55453e172a1b8c9c4c212be7cf7e7a58b9352c/meetings/minutes/2020-08-03-TSC-Minutes.md#vote-on-components-to-mark-as-security-only).
> If you have a security issue, please [follow our security reporting guidelines](https://getlaminas.org/security/).
> If you wish to take on the role of maintainer, please [nominate yourself](https://github.com/laminas/technical-steering-committee/issues/new?assignees=&labels=Nomination&template=Maintainer_Nomination.md&title=%5BNOMINATION%5D%5BMAINTAINER%5D%3A+%7Bname+of+person+being+nominated%7D)
>
> If you are looking for an actively maintained package alternative, we recommend:
>
> - [symfony/dom-crawler](https://symfony.com/doc/current/components/dom_crawler.html)

[![Build Status](https://github.com/laminas/laminas-dom/actions/workflows/continuous-integration.yml/badge.svg)](https://github.com/laminas/laminas-dom/actions/workflows/continuous-integration.yml)

The `Laminas\Dom` component provides tools for working with DOM documents and
structures. Currently, we offer `Laminas\Dom\Query`, which provides a unified
interface for querying DOM documents utilizing both XPath and CSS selectors.

- File issues at https://github.com/laminas/laminas-dom/issues
- Documentation is at https://docs.laminas.dev/laminas-dom
